// =====================================================================================================================
//  fennec, a free and open source game engine
//  Copyright © 2025 - 2026  Medusa Slockbower
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.
// =====================================================================================================================

#ifndef FENNEC_TEST_CONTAINERS_ARRAY_H
#define FENNEC_TEST_CONTAINERS_ARRAY_H

#include "../../test.h"

#include <fennec/containers/array.h>

namespace fennec::test
{

	inline void fennec_test_containers_array() {

		const char string[] = "Hello World!";
		array<char, sizeof(string)> arr1;
		array<char, sizeof(string)> arr2;
		strcpy(&arr1[0], string);
		strcpy(&arr2[0], string);

		fennec_test_run(strcmp(&arr1[0], string), 0);
		fennec_test_run(strcmp(&arr2[0], string), 0);
		fennec_test_run(arr1 == arr2, true);
	}

}

#endif // FENNEC_TEST_CONTAINERS_ARRAY_H
